Loading...
Searching...
No Matches
OBPointGroup Class Reference

`#include <openbabel/pointgroup.h>`

## Public Types

enum | Symbol { C1 = 0 , Cs , Ci , C2 , C3 , C4 , C5 , C6 , C7 , C8 , D2 , D3 , D4 , D5 , D6 , D7 , D8 , C2v , C3v , C4v , C5v , C6v , C7v , C8v , C2h , C3h , C4h , C5h , C6h , C7h , C8h , D2d , D3d , D4d , D5d , D6d , D7d , D8d , D2h , D3h , D4h , D5h , D6h , D7h , D8h , S4 , S6 , S8 , T , Th , Td , O , Oh , Cinfv , Dinfh , I , Ih , K , Kh , Unknown }

## Public Member Functions

| OBPointGroup ()
| ~OBPointGroup ()
void | Setup (OBMol *)
const char * | IdentifyPointGroup ()
const char * | IdentifyPointGroup (double tolerance)
Symbol | IdentifyPointGroupSymbol (double tolerance=0.01)
void | Symmetrize (OBMol *)

## Protected Attributes

PointGroupPrivate * | d

## Detailed Description

Brute-force point group symmetry perception.

Since
  version 2.2

This class performs brute-force point group symmetry perception to yield symmetry identifiers. In the future, this should provide optimized symmetry-derived coordinates as well.

## Member Enumeration Documentation

## Symbol

enum Symbol

Enumerator
C1 |
Cs |
Ci |
C2 |
C3 |
C4 |
C5 |
C6 |
C7 |
C8 |
D2 |
D3 |
D4 |
D5 |
D6 |
D7 |
D8 |
C2v |
C3v |
C4v |
C5v |
C6v |
C7v |
C8v |
C2h |
C3h |
C4h |
C5h |
C6h |
C7h |
C8h |
D2d |
D3d |
D4d |
D5d |
D6d |
D7d |
D8d |
D2h |
D3h |
D4h |
D5h |
D6h |
D7h |
D8h |
S4 |
S6 |
S8 |
T |
Th |
Td |
O |
Oh |
Cinfv |
Dinfh |
I |
Ih |
K |
Kh |
Unknown |

## Constructor & Destructor Documentation

## OBPointGroup()

OBPointGroup | ( |  | ) |

## ~OBPointGroup()

~OBPointGroup | ( |  | ) |

## Member Function Documentation

## Setup()

void Setup | ( | OBMol * | mol | ) |

Set the point group detection for this molecule.

Referenced by Symmetrize().

## IdentifyPointGroup() [1/2]

const char * IdentifyPointGroup | ( |  | ) |

Returns
  the 3D point group symbol for this molecule. A tolerance of 0.01 is used.

Todo
  Compatibility function; remove at next ABI break, update default arg in overload.

Todo
  Remove this on next ABI break

Referenced by IdentifyPointGroup(), and Symmetrize().

## IdentifyPointGroup() [2/2]

const char * IdentifyPointGroup | ( | double | tolerance | ) |

Returns
  the 3D point group symbol for this molecule

## IdentifyPointGroupSymbol()

OBPointGroup::Symbol IdentifyPointGroupSymbol | ( | double | tolerance = 0.01 | ) |

Returns
  the 3D point group symbol for this molecule
  - tolerance The initial tolerance for determining possibly symmetric atoms

Referenced by IdentifyPointGroup().

## Symmetrize()

void Symmetrize | ( | OBMol * | mol | ) |

## Member Data Documentation

## d

PointGroupPrivate* d

protected

Referenced by IdentifyPointGroupSymbol(), OBPointGroup(), Setup(), Symmetrize(), and ~OBPointGroup().

The documentation for this class was generated from the following files:

- pointgroup.h
- pointgroup.cpp